$link-color: #FFB40C;
$btn-primary-color: $link-color;
$copy-image: "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg'  viewBox='0 0 24 24' %3E%3Cpath d='M0 0h24v24H0z' fill='none'/%3E%3Cpath fill='%23555555' d='M16 1H4c-1.1 0-2 .9-2 2v14h2V3h12V1zm3 4H8c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h11c1.1 0 2-.9 2-2V7c0-1.1-.9-2-2-2zm0 16H8V7h11v14z'/%3E%3C/svg%3E";
$open-image: "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M0 0h24v24H0z' fill='none'/%3E%3Cpath fill='white' d='M7.41 15.41L12 10.83l4.59 4.58L18 14l-6-6-6 6z'/%3E%3C/svg%3E";
$folder-image: "data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 24 24'%3E%3Cpath d='M0 0h24v24H0z' fill='none'/%3E%3Cpath fill='white' d='M20 6h-8l-2-2H4c-1.1 0-1.99.9-1.99 2L2 18c0 1.1.9 2 2 2h16c1.1 0 2-.9 2-2V8c0-1.1-.9-2-2-2zm0 12H4V8h16v10z'/%3E%3C/svg%3E";

footer.site-footer {
  display: none !important;
}

code {
  border: none !important;
}

.pygments.highlight {
  padding: 8px;
  overflow: auto;
}


.listingblock {

  .open-button {
    background-image: url($open-image);
    transition: 200ms ease-in-out;
  }

  :hover .copy-button {
    background-image: url($copy-image);
  }

  .button {
    display: block;
    position: absolute;
    top: 8px;
    right: 8px;
    width: 20px;
    height: 20px;
    cursor: pointer;
  }

  .folder-button {
    background-image: url($folder-image);
    position: absolute;
    left: 8px;
    right: auto;
    cursor: copy;
  }

  .title {
    margin-top: 7px;
    display: block;
    position: relative;
    justify-content: flex-start;
    padding: 4px 34px 4px 34px;
    background: #555555;
    color: #FFF;
    cursor: pointer;
    border-radius: 8px 8px 0 0;
    transition: 200ms ease-in-out;
    overflow: hidden;
    text-overflow: ellipsis;
  }

  .content {
    margin-top: -7px;
    position: relative;
  }

}

.listingblock.collapsed {

  .open-button {
    transform: rotate(180deg);
  }

  .title {
    border-radius: 8px;
  }

  .content {
    display: none;
  }
}


#snackbar {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  background-color: #333;
  color: #fff;
  text-align: center;
  border-radius: 2px;
  padding: 16px;
  position: fixed;
  z-index: 1;
  left: 50%;
  bottom: 30px;
  font-size: 17px;
}

#snackbar.show {
  visibility: visible;
  -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;
  animation: fadein 0.5s, fadeout 0.5s 2.5s;
}

@-webkit-keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@keyframes fadein {
  from {
    bottom: 0;
    opacity: 0;
  }
  to {
    bottom: 30px;
    opacity: 1;
  }
}

@-webkit-keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 0;
    opacity: 0;
  }
}

@keyframes fadeout {
  from {
    bottom: 30px;
    opacity: 1;
  }
  to {
    bottom: 0;
    opacity: 0;
  }
}